Subject: bug#42917: 27.1; temporary note included in 27 NEWS

From: Stefan Kangas <[email-masked]>
Date: Wed, 19 Aug 2020 18:58:57 +0000

reopen 42917
thanks

(I'm copying in Nico into the discussion.)

Eli Zaretskii <[email-masked]> writes:

> Thanks, but that was a mistake: this part is only removed when
> preparing the release tarball.  It cannot be removed in the
> repository, because it must be there for people who make changes in
> NEWS to see.  And people do make changes in NEWS, even though this is
> a release branch.

Oh, I double-checked the emacs-26 branch and saw that it was removed
there (but I guess that was right after 26.3).  I'll revert that change.

I'm not sure what to do about this then.  Should we perhaps add
anything else to admin/release-process to remind about this, for example:

modified   admin/release-process
@@ -79,8 +79,10 @@ so e.g. admin/ is fine.)  This is important for
legal compliance.
 ** Remove temporary +++/--- lines in NEWS.
 But first make sure there are no unmarked entries, and update the
 documentation (or decide no updates are necessary) for those that aren't.

+** Remove "Temporary note" at the top of NEWS.
+
 ** Try to reorder NEWS: most important things first, related items together.

 ** For a major release, add a "New in Emacs XX" section to faq.texi.

Best regards,
Stefan Kangas